{"openapi":"3.1.0","info":{"title":"GET /api/v1/inventory/lots/expiring","version":"1.0.0","description":"List expiring cost lots"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/inventory/lots/expiring":{"get":{"tags":["inventory:lots"],"summary":"List expiring cost lots","description":"Return non-exhausted cost lots with an `expiration_date` within the next `within_days` days. Powers the 'Expiring soon' badge on the inventory overview.","operationId":"list_expiring_lots_api_v1_inventory_lots_expiring_get","parameters":[{"name":"within_days","in":"query","required":false,"schema":{"type":"integer","maximum":365,"minimum":0,"description":"Lookahead window in days (default 30).","default":30,"title":"Within Days"},"description":"Lookahead window in days (default 30)."},{"name":"include_expired","in":"query","required":false,"schema":{"type":"boolean","description":"When false, exclude lots whose `expiration_date` is already in the past.","default":true,"title":"Include Expired"},"description":"When false, exclude lots whose `expiration_date` is already in the past."},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"default":200,"title":"Limit"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiringLotsResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"422":{"description":"Validation Error - Invalid data format","content":{"application/json":{"example":{"detail":[{"loc":["body","field"],"msg":"field required","type":"value_error.missing"}]}}}}}}}},"components":{"schemas":{"ExpiringLot":{"properties":{"id":{"type":"string","title":"Id"},"variant_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Variant Id"},"variant_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Variant Name"},"sku":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sku"},"product_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Product Name"},"lot_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Lot Number"},"external_lot_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"External Lot Id"},"expiration_date":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Expiration Date"},"days_until_expiry":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Days Until Expiry","description":"Days from today to `expiration_date` (negative when already expired)."},"quantity_remaining":{"type":"number","title":"Quantity Remaining"},"unit_cost_cents":{"type":"integer","title":"Unit Cost Cents"}},"type":"object","required":["id","quantity_remaining","unit_cost_cents"],"title":"ExpiringLot"},"ExpiringLotsResponse":{"properties":{"within_days":{"type":"integer","title":"Within Days"},"lots":{"items":{"$ref":"#/components/schemas/ExpiringLot"},"type":"array","title":"Lots"},"total_remaining_value_cents":{"type":"integer","title":"Total Remaining Value Cents","default":0}},"type":"object","required":["within_days"],"title":"ExpiringLotsResponse"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}